package com.dji.sample.manage.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

@TableName("manage_org")
public class OrgEntity {
    
    @TableId(type = IdType.AUTO)
    private Integer id;
    
    private String orgId;
    
    private String orgName;
    
    private String orgDesc;
    
    private String workspaceId;
    
    // private Long createTime;
    
    // private Long updateTime;
    
    private String creatorId;
    
    private String creatorName;
    
    private String updaterId;
    
    private String updaterName;

    // Getters and Setters
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getOrgDesc() {
        return orgDesc;
    }

    public void setOrgDesc(String orgDesc) {
        this.orgDesc = orgDesc;
    }

    public String getWorkspaceId() {
        return workspaceId;
    }

    public void setWorkspaceId(String workspaceId) {
        this.workspaceId = workspaceId;
    }

    // public Long getCreateTime() {
    //     return createTime;
    // }

    // public void setCreateTime(Long createTime) {
    //     this.createTime = createTime;
    // }

    // public Long getUpdateTime() {
    //     return updateTime;
    // }

    // public void setUpdateTime(Long updateTime) {
    //     this.updateTime = updateTime;
    // }

    public String getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public String getUpdaterId() {
        return updaterId;
    }

    public void setUpdaterId(String updaterId) {
        this.updaterId = updaterId;
    }

    public String getUpdaterName() {
        return updaterName;
    }

    public void setUpdaterName(String updaterName) {
        this.updaterName = updaterName;
    }
}
